import tkinter as tk
from tkinter import messagebox
import time
import threading

def set_alarm():
    alarm_time = entry.get()
    try:
        alarm_hour, alarm_minute = map(int, alarm_time.split(":"))
        current_time = time.localtime()
        alarm_seconds = alarm_hour * 3600 + alarm_minute * 60
        current_seconds = current_time.tm_hour * 3600 + current_time.tm_min * 60 + current_time.tm_sec
        wait_time = alarm_seconds - current_seconds
        if wait_time < 0:
            wait_time += 86400  # Ajouter 24 heures en secondes
        threading.Timer(wait_time, alarm).start()
        messagebox.showinfo("Alarm Set", f"Alarme réglée pour {alarm_time}")
    except ValueError:
        messagebox.showerror("Invalid Time", "Veuillez entrer l'heure au format HH:MM")

def alarm():
    # Add Possibility to play an Audio Song
    messagebox.showinfo("Alarm", "Il est temps de vous réveiller!")

root = tk.Tk()
root.title("Réveil Python")

label = tk.Label(root, text="Entrez l'heure de l'alarme (HH:MM) :")
label.pack(pady=10)

entry = tk.Entry(root)
entry.pack(pady=5)

button = tk.Button(root, text="Régler l'alarme", command=set_alarm)
button.pack(pady=10)

root.mainloop()
